---
id: neo-4-j-local-date-time-input
title: _Neo4jLocalDateTimeInput
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

Generated LocalDateTime input object for Neo4j [Temporal field arguments](https://grandstack.io/docs/graphql-temporal-types-datetime/#temporal-query-arguments).

```graphql
type _Neo4jLocalDateTimeInput {
  year: Int
  month: Int
  day: Int
  hour: Int
  minute: Int
  second: Int
  millisecond: Int
  microsecond: Int
  nanosecond: Int
  formatted: String
}
```

### Fields

#### `year` ([`Int`](/docs/api/scalars/int))

#### `month` ([`Int`](/docs/api/scalars/int))

#### `day` ([`Int`](/docs/api/scalars/int))

#### `hour` ([`Int`](/docs/api/scalars/int))

#### `minute` ([`Int`](/docs/api/scalars/int))

#### `second` ([`Int`](/docs/api/scalars/int))

#### `millisecond` ([`Int`](/docs/api/scalars/int))

#### `microsecond` ([`Int`](/docs/api/scalars/int))

#### `nanosecond` ([`Int`](/docs/api/scalars/int))

#### `formatted` ([`String`](/docs/api/scalars/string))

Creates a Neo4j [Temporal](https://grandstack.io/docs/graphql-temporal-types-datetime/#using-temporal-fields-in-mutations) LocalDateTime value using a [String format](https://neo4j.com/docs/cypher-manual/current/functions/temporal/localdatetime/#functions-localdatetime-create-string).
